package test.article2.recs.plugins.energy;

import schedframe.Parameters;
import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.Processor;
import schedframe.resources.computing.profiles.energy.ResourceEvent;
import schedframe.scheduling.manager.tasks.JobRegistry;

public class IntelCpuEEP extends RecsCpuBaseEEP {
	
	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
		Processor cpu = (Processor) resource;
		double powerConsumption = cpu.getPowerInterface().getRecentPowerUsage().getValue();
		return powerConsumption + cpuTypeConstant + inletTemperature;
	}
	
	public void init(Parameters parameters) {
		cpuTypeConstant = 10;
		inletTemperature = 20;
	}
}
